Jump to content

HELP needed with Autocad lisp!!!


ruso

Recommended Posts

  • Replies 28
  • Created
  • Last Reply

Top Posters In This Topic

  • ruso

    7

  • Lee Mac

    6

  • bonjo76

    5

  • ReMark

    3

Top Posters In This Topic

Posted Images

hi lee,,your such a genius...hope you could help me in my projects too....thanks a lot

 

Thank you for the compliment bonjo, I appreciate it.

Link to comment
Share on other sites

lee,,hi again there...wat ifi just want to mae circled and trim it.....cut off the "point" thing..

 

In my code here, change this line:

([color=BLUE]entmake[/color] ([color=BLUE]vl-list*[/color] '(0 . [color=MAROON]"POINT"[/color]) ([color=BLUE]cons[/color] 10 p) h))

to:

([color=blue]entmake[/color] ([color=blue]vl-list*[/color] '(0 . [color=darkred]"CIRCLE"[/color]) ([color=blue]cons [/color]10 p) '(40 . 0.5) h))

Link to comment
Share on other sites

a many thanks.... also are you familiar with the autocad program itself???coz when i open it,,theres an error,,, octal 17 and unknown properties...

Edited by bonjo76
addvsome text
Link to comment
Share on other sites

See if this helps....

 

When attempting to load a LISP application or a MNU/CUI menu, AutoCAD displays the error:; error: bad character read (octal): N

The reason is in an improperly formatted LSP (or MNL) file. A LISP application must be in a text format, without any control (binary) characters.Such special characters may get into your file either through a technical error (disk or communication error, virus), or simply by editing the file in Word or WordPad (they both add control characters), not in the classic Notepad or other plain text editor. Or this is is simply not a LISP file but e.g. a renamed EXE file.

 

Link to comment
Share on other sites

See if this helps....

 

thanks slw210,,,sori i didnt state the whole thing....im using an old school 2002 autocad,,,coz im a newbie and want to learn things from the scratch,,,,too much for me to buy a license 2013 and yet i cant still appreciate yet for now....this was the thing,,,,when i installed it it runs smooth as usual,,,,then our office bought an add-on program (is it the right term??hehhe) suited for our field of work...so i installed it...by the way my os is w7 64B home premium.....at first it runs smooth with the program,,,then my co-worker who is using 2004 gave me a file which i was about to edit,,,although he saved it to 2000 version,,,when i open it,,i got a proxy message,,,,,so i cancelled the pop up,,,after two days of working an error log came,,,,,dont know what to do,,and cant remember what i did hehehe,,,i cant acces the file anymore,,,the good thing is that day,,,i have copy the file and gave to him,,,,so i retrive the file which i gave him,,,,now the sad thing is,,the add on program crashed,,,,when ever i click to some various icon,,,the message was unknown file......so i have to uninstalled botthe the add on and the 2002,,,,,after reinstalling it,,,even i havent installed the add on,,,,an octal 17 message can be seen in the command line,,,,,,try to read back the event that i did,,,maybe along the way i had done wrong which this was the cause......by the way,,,when i reinstalled the 2002 it was good as ok,,,but after a couple of files opened,,,there it goes the message,,,,,,,,thanks in advance,,,,more power and hope we can fix this,,,,hehhe

Link to comment
Share on other sites

also by the way,,,,we have a problem with the add on,,,,the precision is in 8 dec,,wich when we submit it to the land management a lot of corecction made,,,,cause they want it in 2 dec...even if we try to change the precision,,,still it goes back to 8 dec.....

Link to comment
Share on other sites

Dear Ruso,

 

Hedre I have the program where you are looking for. The

program does what you want it to do. This is what the

program does:

 

1. A polyline is selected.

2. Circles are drawn at the points of the polyline.

3. The polylines are trimmed.

4. The circles are erased from the drawing.

5. Points are drawn where the points of the polyline

were.

 

I must tell you. I have worked with circles with a

radius of 3. You can change that to the radius that you

want.

 

I do not draw points in the drawing. I have draws

donuts. Well. If you want points. You know how to

change it.

 

Here is the program:

 

(defun c:helpn (/ ls)
  (start)
  (setq pl (entsel "\nSelect polyline: ")
        pl (car pl)
        ls (fndpr pl)
  )
  (drcrl ls)
  (trmpl pl ls)
  (delcr)
  (drdnt ls)
  (endpr)
)

(defun start ()
  (setvar "cmdecho" 0)
  (command "limits" (list 0 0)
                     (list 120 120)
  )
  (command "snap" 10)
  (command "grid" 10)
  (command "zoom" "all")
  (command "zoom" "0.8x")
  (command "zoom" "all")
  (command "zoom" "0.9x")
)

(defun fndpr (pl / cd el ls pt)
  (setq el (entget pl))
  (while (setq pr (car el))
     (setq cd (car pr))
     (if (= cd 10)
        (progn
           (setq pt (cdr pr))
           (princ "\nPT: ")
           (princ pt)
           (if ls
              (setq ls (append (list pt) ls))
              (setq ls (list pt))
           )
        )
     )
     (setq el (cdr el))
  )
  ls
)

(defun drcrl (ls / tl)
  (setq tl ls)
  (while (setq pt (car tl))
     (command "circle" pt 5)
     (setq tl (cdr tl))
  )
)

(defun trmpl (pl ls)
  (setq tl ls)
  (while (setq pt (car tl))
     (while (setq ss (ssget "c" pt pt))
        (if ss
           (command "trim" "" pt "")
        )
     )
     (setq tl (cdr tl))
  )
)

(defun delcr ()
  (setq ss (ssget "x" (list (cons 0 "CIRCLE"))))
  (command "erase" ss "")
)

(defun drdnt (ls)
  (princ "\nLS: ")
  (princ ls)
  (while (setq pt (car ls))
     (command "donut" 0 2 pt "")
     (setq ls (cdr ls))
  )
)

(defun endpr ()
  (setvar "cmdecho" 1)
  (princ)
)

(c:helpn)

 

If you have any questions. Let me know. You can send me

an e-mail.

 

Do you like this answer? Did you get good information?

Check out my blog and newsletter. There you find more

AutoLISP.

 

Find them here:

 

blog: http://goo.gl/0CvWW

newsletter: http://goo.gl/wYaJ5

 

Jos van Doorn

makeautocadfast@ymail.com

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...